function CstDeleteComponent(fid,CComponent)
global mws component

    %Component.Delete "component1"

    % Vymazani existujici komponenty
    fprintf(fid, '%% Vymazani existujici komponenty\n');
    fprintf(fid, 'component = mws.invoke(''Component'');\n');
    fprintf(fid, ['component.invoke(''Delete'',''',CComponent,''');\n\n']);

    % Prime vytvoreni nove komponenty v CST
    component = mws.invoke('Component');
    component.invoke('Delete',CComponent);
end